%define oname	gtkhtml

%define major	0
%define api	4.0
%define libname	%mklibname %{oname} %{api} %{major}
%define devname %mklibname -d %{oname} %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	HTML rendering/editing library
Name:		%{oname}4
Version:	4.10.0
Release:	%mkrel 6
License:	LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		https://download.gnome.org/sources/%{oname}/
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(ORBit-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	intltool
Requires:	%{libname} >= %{version}

%description
GtkHTML is a HTML rendering/editing library. GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -f %{oname}-%{api}.lang
%doc AUTHORS NEWS README TODO
%{_datadir}/gtkhtml-%{api}

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for GtkHTML
Group:		System/Libraries

%description -n %{libname}
GtkHTML is a HTML rendering/editing library. GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/libgtkhtml-%{api}.so.%{major}{,.*}
%{_libdir}/libgtkhtml-editor-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
GtkHTML is a HTML rendering/editing library. GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n %{devname}
%doc ChangeLog
%{_bindir}/gtkhtml-editor-test4
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

# switch to enchant2
sed -i -e '/GTKHTML_MODULES/s,enchant ,enchant-2 ,g' configure.ac
sed -i -e 's,enchant_dict_add_to_pwl,enchant_dict_add,g' components/editor/gtkhtml-spell-checker.c

%build
autoreconf -vfi
%configure \
	--disable-static \
	--program-suffix=4
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%{find_lang} %{oname}-%{api}


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 4.10.0-6.mga9
+ Revision: 1835213
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4.10.0-5.mga8
+ Revision: 1523120
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 4.10.0-4.mga7
+ Revision: 1369556
- switch to enchant2

* Sun Sep 23 2018 umeabot <umeabot> 4.10.0-3.mga7
+ Revision: 1298117
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 4.10.0-2.mga6
+ Revision: 954245
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 4.10.0-1.mga6
+ Revision: 882930
- new release

* Wed Oct 15 2014 umeabot <umeabot> 4.8.5-2.mga5
+ Revision: 749124
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 4.8.5-1.mga5
+ Revision: 738313
- new version 4.8.5

* Tue Sep 16 2014 umeabot <umeabot> 4.8.4-2.mga5
+ Revision: 680020
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 ovitters <ovitters> 4.8.4-1.mga5
+ Revision: 661636
- new version 4.8.4

* Mon Jul 14 2014 ovitters <ovitters> 4.8.3-1.mga5
+ Revision: 651790
- new version 4.8.3

* Mon Jun 09 2014 ovitters <ovitters> 4.8.2-1.mga5
+ Revision: 634872
- new version 4.8.2

* Fri May 02 2014 ovitters <ovitters> 4.8.1-1.mga5
+ Revision: 619712
- new version 4.8.1

* Mon Mar 24 2014 ovitters <ovitters> 4.8.0-1.mga5
+ Revision: 607867
- new version 4.8.0

* Sat Oct 19 2013 umeabot <umeabot> 4.6.6-2.mga4
+ Revision: 530598
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 dams <dams> 4.6.6-1.mga4
+ Revision: 458373
- new version 4.6.6

* Sat May 25 2013 ovitters <ovitters> 4.6.5-1.mga4
+ Revision: 427244
- new version 4.6.5
- new version 4.6.4

* Sun Feb 03 2013 ovitters <ovitters> 4.6.3-1.mga3
+ Revision: 394239
- new version 4.6.3
- new version 4.6.2

* Sat Jan 12 2013 umeabot <umeabot> 4.6.1-2.mga3
+ Revision: 352890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 4.6.1-1.mga3
+ Revision: 316977
- new version 4.6.1

* Sat Sep 22 2012 ovitters <ovitters> 4.6.0-1.mga3
+ Revision: 296728
- new version 4.6.0

* Sat Sep 01 2012 ovitters <ovitters> 4.5.91-1.mga3
+ Revision: 286980
- new version 4.5.91

* Mon Aug 06 2012 ovitters <ovitters> 4.5.5-1.mga3
+ Revision: 279113
- new version 4.5.5

* Sun Jul 01 2012 ovitters <ovitters> 4.5.3-1.mga3
+ Revision: 266318
- new version 4.5.3

* Mon Jun 18 2012 ovitters <ovitters> 4.4.3-1.mga3
+ Revision: 261395
- new version 4.4.3

* Mon Jun 04 2012 fwang <fwang> 4.4.2-1.mga3
+ Revision: 253892
- new version 4.4.2

* Fri May 04 2012 mitya <mitya> 4.4.1-1.mga2
+ Revision: 234702
- Fix Evolution text selection bug (see GNOME bug #672582)

* Mon Mar 26 2012 ovitters <ovitters> 4.4.0-1.mga2
+ Revision: 226533
- new version 4.4.0

* Mon Mar 19 2012 ovitters <ovitters> 4.3.92-1.mga2
+ Revision: 224284
- new version 4.3.92

* Tue Mar 06 2012 fwang <fwang> 4.3.91-1.mga2
+ Revision: 219671
- new version 4.3.91

* Mon Feb 06 2012 fwang <fwang> 4.3.5-1.mga2
+ Revision: 205290
- new version 4.3.5

* Mon Dec 19 2011 wally <wally> 4.3.3-1.mga2
+ Revision: 184516
- new version 4.3.3

* Mon Nov 21 2011 fwang <fwang> 4.3.2-1.mga2
+ Revision: 170246
- new version 4.3.2

* Fri Oct 28 2011 wally <wally> 4.3.1.1-1.mga2
+ Revision: 159202
- new version 4.3.1.1

* Sun Oct 16 2011 wally <wally> 4.2.1-1.mga2
+ Revision: 155528
- new version 4.2.1
- clean .spec a bit

* Sun Sep 25 2011 fwang <fwang> 4.2.0-1.mga2
+ Revision: 147592
- new version 4.2.0

* Mon Sep 19 2011 fwang <fwang> 4.1.92-1.mga2
+ Revision: 145432
- new version 4.1.92

* Sun Sep 04 2011 fwang <fwang> 4.1.91-1.mga2
+ Revision: 138362
- new version 4.1.91

* Wed Aug 31 2011 fwang <fwang> 4.1.90.1-1.mga2
+ Revision: 137212
- new version 4.1.90.1

* Mon Aug 29 2011 fwang <fwang> 4.1.90-1.mga2
+ Revision: 136113
- new version 4.1.90
- new version 4.1.5
- new version 4.1.4

* Tue Jul 05 2011 dmorgan <dmorgan> 4.1.3-1.mga2
+ Revision: 118772
- New version 4.1.3

* Mon Jun 13 2011 dmorgan <dmorgan> 4.0.1-1.mga2
+ Revision: 105903
- Fix file list
  Remove .la files
- imported package gtkhtml4


* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 659110
- update to new version 4.0.1

* Mon Apr 04 2011 Funda Wang <fwang@mandriva.org> 4.0.0-1
+ Revision: 650155
- import gtkhtml4

